Package org.eclipse.jdt.launching.environments

## Class CompatibleEnvironment

- java.lang.Object
- - org.eclipse.jdt.launching.environments.CompatibleEnvironment

    public class CompatibleEnvironment
    extends Object

The result of analyzing a vm install for compatibility with an execution environment.

An environment analyzer delegate creates instances of this class to describe the environments a vm install is compatible with. A result describes a compatible environment for a vm install and whether the vm install is strictly compatible with the environment or whether the vm install represents a superset of the environment (that is, represents more than is minimally required to be compatible with an environment).

Clients may instantiate this class.

Since:
  3.2
Restriction:
  This class is not intended to be subclassed by clients.

### Constructor Summary

Constructors
`CompatibleEnvironment​(IExecutionEnvironment environment, boolean strict)` Constructs a new compatible environment result from an execution environment analysis.

### Method Summary

All Methods Instance Methods Concrete Methods
`IExecutionEnvironment` `getCompatibleEnvironment()` Returns an environment compatible with the vm being analyzed.
`boolean` `isStrictlyCompatbile()` Returns whether the analyzed vm install is strictly compatible with the compatible environment or represents a superset of the environment.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CompatibleEnvironment

    public CompatibleEnvironment​(IExecutionEnvironment environment,
                                 boolean strict)

Constructs a new compatible environment result from an execution environment analysis.

Parameters:
  `environment` - the environment a vm install is compatible with
  `strict` - whether the vm install is strictly compatible with the environment or represents a superset of the environment

### Method Detail

#### getCompatibleEnvironment

    public IExecutionEnvironment getCompatibleEnvironment()

Returns an environment compatible with the vm being analyzed.

Returns:
  compatible execution environment

#### isStrictlyCompatbile

    public boolean isStrictlyCompatbile()

Returns whether the analyzed vm install is strictly compatible with the compatible environment or represents a superset of the environment. Returning `true` indicates the analyzed vm install is strictly contained within the environment. Returning `false` indicates that the analyzed vm install represents more a superset of the environment.

Returns:
  whether the analyzed vm install is strictly contained within the environment